Bug 491436 - aot-compile-rpm traceback struct.error: unpack requires a string argument of length 2
aot-compile-rpm traceback struct.error: unpack requires a string argument of ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Rodney Russ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 19:19 EDT by Orion Poplawski
Modified: 2010-11-04 11:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 11:17:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-03-20 19:19:30 EDT
Description of problem:

+ /usr/bin/aot-compile-rpm                                                           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/AntActionInstallerListener          
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/AntActionUninstallerListener        
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/LateShortcutInstallListener         
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/RegistryInstallerListener           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/RegistryUninstallerListener         
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/SummaryLoggerInstallerListener      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/HelloPanel                                 
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/HelloPanel.jar                             
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/CheckedHelloPanel (identical)              
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/CompilePanel (identical)                   
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/UserInputPanel (identical)                 
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ConditionalUserInputPanel (identical)      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/UserInputPanel.jar (identical)             
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/DataCheckPanel (identical)                 
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/DefaultTargetPanel (identical)             
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ExtendedInstallPanel (identical)           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/FinishPanel (identical)                    
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/HTMLInfoPanel (identical)                  
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/HTMLLicencePanel (identical)               
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ImgPacksPanel (identical)                  
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InfoPanel (identical)                      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InstallPanel (identical)                   
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InstallationGroupPanel (identical)         
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InstallationTypePanel (identical)          
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/JDKPathPanel (identical)                   
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/LicencePanel (identical)                   
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/PacksPanel (identical)                     
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ProcessPanel (identical)                   
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SelectPrinterPanel (identical)             
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ShortcutPanel (identical)                  
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SimpleFinishPanel (identical)              
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SudoPanel (identical)                      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SummaryPanel (identical)                   
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/TargetPanel (identical)                    
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/TreePacksPanel (identical)                 
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/UserPathPanel (identical)                  
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/XInfoPanel (identical)                     
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/java/izpack/izevent-4.2.1.jar                                      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/AntActionInstallerListener.jar      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/AntActionUninstallerListener.jar    
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/LateShortcutInstallListener.jar     
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/RegistryInstallerListener.jar       
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/RegistryUninstallerListener.jar     
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/customActions/SummaryLoggerInstallerListener.jar  
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/CheckedHelloPanel.jar                      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/CompilePanel.jar                           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ConditionalUserInputPanel.jar              
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/DataCheckPanel.jar                         
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/DefaultTargetPanel.jar                     
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ExtendedInstallPanel.jar                   
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/FinishPanel.jar                            
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/HTMLInfoPanel.jar                          
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/HTMLLicencePanel.jar                       
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ImgPacksPanel.jar                          
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InfoPanel.jar                              
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InstallPanel.jar                           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InstallationGroupPanel.jar                 
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/InstallationTypePanel.jar                  
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/JDKPathPanel.jar                           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/LicencePanel.jar                           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/PacksPanel.jar                             
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ProcessPanel.jar                           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SelectPrinterPanel.jar                     
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/ShortcutPanel.jar                          
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SimpleFinishPanel.jar                      
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SudoPanel.jar                              
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/SummaryPanel.jar                           
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/TargetPanel.jar                            
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/TreePacksPanel.jar                         
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/UserPathPanel.jar                          
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/izpack-4.2.1/bin/panels/XInfoPanel.jar                             
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/java/izpack/compiler-4.2.1.jar                                     
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/java/izpack/installer-4.2.1.jar                                    
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/java/izpack/uninstaller-4.2.1.jar                                  
aot-compile-rpm: warning: subsetted /scratch/orion/redhat/BUILDROOT/izpack-4.2.1-1.fc10.i386/usr/share/java/izpack/uninstaller-ext-4.2.1.jar                              
Traceback (most recent call last):        
  File "/usr/bin/aot-compile-rpm", line 90, in <module> 
    compiler.compile()   
  File "/usr/lib/python2.5/site-packages/aotcompile.py", line 100, in compile
    self.writeMakefile(MAKEFILE, jobs)
  File "/usr/lib/python2.5/site-packages/aotcompile.py", line 128, in writeMakefile
    values = job.ruleArguments()
  File "/usr/lib/python2.5/site-packages/aotcompile.py", line 264, in ruleArguments
    self.__makeBlocks()
  File "/usr/lib/python2.5/site-packages/aotcompile.py", line 203, in __makeBlocks
    name = classname(bytes)
  File "/usr/lib/python2.5/site-packages/aotcompile.py", line 411, in classname
    klass = classfile.Class(bytes)
  File "/usr/lib/python2.5/site-packages/classfile.py", line 49, in __init__
    self.fields = self._read_fieldsormethods()
  File "/usr/lib/python2.5/site-packages/classfile.py", line 94, in _read_fieldsormethods
    result.append(self.Member(self))
  File "/usr/lib/python2.5/site-packages/classfile.py", line 102, in __init__
    self.attributes = source._read_attributes()
  File "/usr/lib/python2.5/site-packages/classfile.py", line 121, in _read_attributes
    name = self._read_reference_Utf8()
  File "/usr/lib/python2.5/site-packages/classfile.py", line 130, in _read_reference_Utf8
    return self._read_references("Utf8")[0]
  File "/usr/lib/python2.5/site-packages/classfile.py", line 141, in _read_references
    index = self._read_short()
  File "/usr/lib/python2.5/site-packages/classfile.py", line 190, in _read_short
    return self._read(">H")[0]
  File "/usr/lib/python2.5/site-packages/classfile.py", line 196, in _read
    return struct.unpack(fmt, self.fp.read(struct.calcsize(fmt)))
  File "/usr/lib/python2.5/struct.py", line 87, in unpack
    return o.unpack(s)
struct.error: unpack requires a string argument of length 2
error: Bad exit status from /tmp/rpm/rpm-tmp.rXfWDR (%install)

Version-Release number of selected component (if applicable):
java-1.5.0-gcj-devel-1.5.0.0-23.fc10.i386.rpm
Comment 1 Orion Poplawski 2009-03-23 18:01:21 EDT
Okay, got rid of the subsetted jars.  Still see the traceback on F-10 and rawhide.  src.rpm is here:

http://www.cora.nwra.com/~orion/fedora/izpack-4.2.1-1.fc10.src.rpm
Comment 2 Bug Zapper 2009-11-18 06:34:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Orion Poplawski 2009-11-20 18:33:51 EST
Still present on F12.  New SRPM:

http://www.cora.nwra.com/~orion/fedora/izpack-4.3.2-1.fc12.src.rpm
Comment 5 Bug Zapper 2010-11-04 07:26:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Orion Poplawski 2010-11-04 11:17:54 EDT
I guess we really don't care about aot-compile-rpm anymore...

Note You need to log in before you can comment on or make changes to this bug.